/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ifish.bean;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 摄像头激活码(tbl_activa_code)
 *
 * @author bianj
 * @version 1.0.0 2017-07-03
 */
@Entity
@Table(name = "tbl_activa_code")
public class Tbl_Activa_Code implements java.io.Serializable {

    /**
     * 版本号
     */
    private static final long serialVersionUID = -2477544371712460934L;

    /**
     * 激活码
     */
    @Id
    @Column(name = "active_code", unique = true, nullable = false, length = 50)
    private String activeCode;

    /**
     * 批次号
     */
    @Column(name = "batch_code", nullable = true, length = 50)
    private String batchCode;

    /**
     *
     */
    @Column(name = "is_used", nullable = true, length = 1)
    private String isUsed;

    /**
     *
     */
    @Column(name = "create_time", nullable = true)
    private Date createTime;

    /**
     * 获取激活码
     *
     * @return 激活码
     */
    public String getActiveCode() {
        return this.activeCode;
    }

    /**
     * 设置激活码
     *
     * @param activeCode 激活码
     */
    public void setActiveCode(String activeCode) {
        this.activeCode = activeCode;
    }

    /**
     * 获取批次号
     *
     * @return 批次号
     */
    public String getBatchCode() {
        return this.batchCode;
    }

    /**
     * 设置批次号
     *
     * @param batchCode 批次号
     */
    public void setBatchCode(String batchCode) {
        this.batchCode = batchCode;
    }

    /**
     * 获取
     *
     * @return
     */
    public String getIsUsed() {
        return this.isUsed;
    }

    /**
     * 设置
     *
     * @param isUsed
     *
     */
    public void setIsUsed(String isUsed) {
        this.isUsed = isUsed;
    }

    /**
     * 获取
     *
     * @return
     */
    public Date getCreateTime() {
        return this.createTime;
    }

    /**
     * 设置
     *
     * @param createTime
     *
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
